/* TestEinfacherObjektSpeicher.java */

import java.io.*;
import java.util.*;

public class TestEinfacherObjektSpeicher {
   public static void main(String[] args) {
      //Erzeugen des Objektspeichers
      EinfacherObjektSpeicher tos = new EinfacherObjektSpeicher("laborkurs");
      tos.putObject("name", "Einführung in PIS");
      tos.putObject("ort", "B123");

      // System Laborkurs aufbauen
      // *** Laborkurs-Instanz und Instanzen der Studenten hier erzeugen, ***
      // *** Studenten in den Laborkurs eintragen. ***




      // System Laborkurs im Objektspeicher speichern
      // ***** speichern hier ergänzen ******


      // EinfacherObjektSpeicher als Datei schreiben
      try {
         tos.save();
      } catch (IOException e) {
         System.err.println("Fehler beim Schreiben des Speichers: " + e.toString());
      }

      // EinfacherObjektSpeicher wieder einlesen
      EinfacherObjektSpeicher tos2 = new EinfacherObjektSpeicher("laborkurs");
      try {
         tos2.load();

         // prüfen, ob die Objekte des Laborkurs-Systems wieder alle existieren
         // und deren Methoden aufrufbar sind,
         // z.Bsp. die Methode listeAusgeben() der Klasse Laborkurs
         
         // ***** hier ergänzen ******
         
      }
      catch (IOException e) {
         System.err.println("Fehler beim Lesen des Speichers: " + e.toString());
      }
      catch (ClassNotFoundException e) {
         System.err.println("Benötigte Klassen nicht gefunden: " + e.toString());
      }
   }
}
