// nach: Abts, Grundkurs Java, Wiesbanden, 2003
// verändert und angepasst: Prof. Dr. M. Scheer, FH-Gießen-Friedberg

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.sql.*;
import java.util.*;

public class Artikelpflege extends JFrame {
   // MySQL
   private String driver = "com.mysql.jdbc.Driver";
   private String url = "jdbc:mysql://vm-mysql.mni.fh-giessen.de:3306/pis_db";
   private Connection con ;
   private Statement anw ;

   public Artikelpflege() {
      setTitle("Artikel verwalten");
      Container cp = getContentPane() ;

      try {
         Class des = Class.forName(driver);
         con = DriverManager.getConnection(url);
         anw = con.createStatement();
      }

      catch (ClassNotFoundException e) {
         System.out.println("Treiber nicht gefunden!") ;
         System.err.println(e.getMessage());
         System.exit(1) ;
      }

      catch (SQLException e) {
         System.out.println("Datenbankverbingung nicht korrekt aufgebaut!") ;
         System.err.println(e.getMessage());
         System.exit(1) ;
      }

      cp.add(new GUI(anw)) ;

      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            try {
               anw.close();
               con.close();
               setVisible(false);
               dispose();
               System.exit(0);
            }
            catch (SQLException ex) { }
               System.exit(0);
         }
      });
      
      setLocation(350, 250);
      pack();
      setResizable(false);
      setVisible(true);
   }

   public static void main(String[] args) {
      Artikelpflege f = new Artikelpflege();
   }


}